

// Name
//===================================
//
// PlayerMovement
//

#ifndef PLAYER_MOVEMENT_H
#define PLAYER_MOVEMENT_H


// FORWARD DECLARATIONS
//===================================

    class Input;
    class Sprite;


// DEPENDENCIES
//===================================

    #include "sprite_movement.h"


// CLASS
//===================================

    class PlayerMovement : public SpriteMovement
    {
        public:
            ~PlayerMovement();
            void update( Sprite& sprite, Input& input );
            void collision( Collision collision, Sprite& sprite, Sprite& other );

        private:
            bool collide_top_ = false;
            bool collide_bottom_ = false;
            bool collide_top_prev_ = false;
            bool collide_bottom_prev_ = false;
            bool touching_ladder_ = false;
            bool touching_ladder_prev_ = false;
    };


#endif // PLAYER_MOVEMENT_H
