


// Name
//===================================
//
// SpriteMovement
//


// DEPENDENCIES
//===================================

    #include "sprite_graphics.h"


// STATIC PROPERTIES
//===================================


// METHODS
//===================================

    SpriteGraphics::SpriteGraphics( Graphics::SpriteSheet texture )
    :
        texture_ ( texture )
    {};

    SpriteGraphics::~SpriteGraphics() {};

    void SpriteGraphics::render( SDL_Rect bound_box, Graphics& graphics )
    {
        SDL_RendererFlip flip = SDL_FLIP_NONE;

        SDL_Rect src = { current_frame_x_, current_frame_y_, bound_box.w, bound_box.h };

        if ( flip_x_ )
            flip = SDL_FLIP_HORIZONTAL;

        graphics.renderObject( texture_, src, bound_box, flip );
    };
