
// Name
//===================================
//
// SpriteMovement
//

#ifndef SPRITE_MOVEMENT_H
#define SPRITE_MOVEMENT_H


// FORWARD DECLARATIONS
//===================================


// DEPENDENCIES
//===================================

    class Collision;
    class Input;
    class Sprite;


// CLASS
//===================================

    class SpriteMovement
    {
        public:
            virtual ~SpriteMovement();
            virtual void update( Sprite& sprite, Input& input ) = 0;
            virtual void collision( Collision collision, Sprite& sprite, Sprite& other ) = 0;
    };


#endif // SPRITE_MOVEMENT_H
